package com.schbrain.initializer.controller;

import cn.hutool.core.util.RandomUtil;
import com.schbrain.initializer.entity.Entity;
import com.schbrain.initializer.entity.EntityWithLogicDelete;
import com.schbrain.initializer.service.EntityService;
import com.schbrain.initializer.service.EntityWithLogicDeleteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author liaozan
 * @since 2022/8/9
 */
@RestController
public class EntityController {

    @Autowired
    private EntityService entityService;
    @Autowired
    private EntityWithLogicDeleteService entityWithLogicDeleteService;

    @GetMapping("/entity")
    public void entity() {
        Entity entity = new Entity();
        entity.setName(RandomUtil.randomString(10));
        entityService.save(entity);

        entityService.removeById(entity.getId());
    }

    @GetMapping("/entity_with_logic_delete")
    public void entityWithLogicDelete() {
        EntityWithLogicDelete entity = new EntityWithLogicDelete();
        entity.setName(RandomUtil.randomString(10));
        entityWithLogicDeleteService.save(entity);

        entityWithLogicDeleteService.removeById(entity.getId());
    }

}